import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'apk_update_platform_interface.dart';

/// An implementation of [ApkUpdatePlatform] that uses method channels.
class MethodChannelApkUpdate extends ApkUpdatePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('apk_update');

  @override
  void jumpAppStore(String appleId) async {
    methodChannel.invokeMethod<String>('jumpAppStore', {"appleId": appleId});
  }

  @override
  void installApk(String? path) {
    methodChannel.invokeMethod<String>('installApk', {"path": path});
  }
}
